NSDL Collection

Header

NameTypeValue
api-keystring(get it from api credentials in api panel)
content-typestringapplication/json
acceptstringapplication/json

$header = [  
    'accept: application/json',  
    'api-key: XdWCmd0NF1ZVklnVPegOdL59WkFM7o4h91UYPAt1',  
    'content-type: application/json',  
];

Request Body Parameters

NameTypeValue
partner_idinteger(Get in from api panel you api parner id)
apitxnidStringUnique Id for every transaction
mobileStringCustomer mobile number
nameStringCustomer name
emailStringCustomer Email id
amountDoubleAmount For Payin
callbackStringYour webhook url to received collection status and data

$parameter = [
    'partner_id' => '1',
  	'apitxnid'   => 'UPI12345',
  	'mobile' => '1234567890',
  	'name' => 'test',
  	'email'  => '[email protected]',
  	'amount'		 => '100',
  	'callback'   => 'https://yourdomain.com'
];

$body_json_string = json_encode($parameter);

Response Body Parameters

NametypeConditionPossible Value
statuscodeStringAll TimeTXN / TUP / TXF / ERR
messageStringAll TimeTransaction Response Message
upi_trStringIn Case TXNUpi collection reference id
upi_stringStringIn Case TXNUpi Intent to receive payment
upi_string_imageStringIn case TXNUrl for show qr code, developer need to pass this string url directly to html src attribute of img tag. eg
Body Params
json
Defaults to { "partner_id": "1", "apitxnid": "UPI12345", "mobile": "1234567890", "name": "test", "email": "[email protected]", "amount": "100", "callback": "https://yourdomain.com" }
Headers
string
Defaults to apikey
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json